<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

$cart_order = "g4_cart_order";
$m_table = "g4_write_shopping";
$cart_table[cart_category] = "g4_cart_category";




if ($is_dhtml_editor) {
    include_once("$g4[path]/lib/cheditor.lib.php");
    echo "<script src='$g4[editor_path]/cheditor.js'></script>";
    echo cheditor1('wr_content', $content);
}

//상품코드 생성
if($w == 'u'){
$p_code  = $write["wr_40"];
}
else{
$p_code  = "";
$p_code .= time();
$p_code .= time();
}




//분류
$cart_category = 1;  //무한분류 사용시
 

     // $query = "select * from dysel where length(code)=1 "; 
     // $result = mysql_query($query, $connect); 
      $mct          = " wr_reply = '' ";
      $h_sql        = " select wr_subject, wr_num,ne_1 from {$cart_table[cart_category]} where $mct order by ne_8, wr_id ";
      $h_result     = sql_query($h_sql);

      $category_cart = "";
      while ($gr_row= sql_fetch_array($h_result)){

      $category_cart  .=  "<option value='{$gr_row[ne_1]}'>{$gr_row[wr_subject]}"; 

	  }

 if ($w == "u") {
   if($write[wr_21]){
      $u_mct        = " ne_1 = '$write[wr_21]' ";
      $u_sql        = " select wr_reply,wr_num from {$cart_table[cart_category]} where $u_mct ";
      $u_result     = sql_fetch($u_sql);

	  $reply_len = strlen($u_result[wr_reply]) + 1;

      $u_mct          = " wr_num = '$u_result[wr_num]' ";
      $u_mct         .= " and length(wr_reply) = '$reply_len' ";
      $u_mct         .= " and wr_reply LIKE '$u_result[wr_reply]%' ";
      $u_sql          = " select ne_1,wr_subject from {$cart_table[cart_category]} where $u_mct order by ne_8, wr_id ";
      $u_result       = sql_query($u_sql);

      $u_total        = mysql_num_rows($u_result);


      $category_cart2 = "";
	   $ppp= 0;
       while ($u_row= sql_fetch_array($u_result)){ 

      $category_cart2  .=  "<option value='{$u_row[ne_1]}'>{$u_row[wr_subject]}"; 
		 $ppp++;
	   }

   }

   if($write[wr_22]){
      $v_mct        = " ne_1 = '$write[wr_22]' ";
      $v_sql        = " select wr_reply,wr_num from {$cart_table[cart_category]} where $v_mct ";
      $v_result     = sql_fetch($v_sql);

	  $v_reply_len = strlen($v_result[wr_reply]) + 1;

      $v_mct          = " wr_num = '$v_result[wr_num]' ";
      $v_mct         .= " and length(wr_reply) = '$v_reply_len' ";
      $v_mct         .= " and wr_reply LIKE '$v_result[wr_reply]%' ";
      $v_sql          = " select ne_1,wr_subject from {$cart_table[cart_category]} where $v_mct order by ne_8, wr_id ";
      $v_result       = sql_query($v_sql);

      $v_total        = mysql_num_rows($v_result);


      $category_cart3 = "";
	   $vvv= 0;
       while ($v_row= sql_fetch_array($v_result)){ 

      $category_cart3  .=  "<option value='{$v_row[ne_1]}'>{$v_row[wr_subject]}"; 
		 $vvv++;
	   }

   }

 }


?>




<script> 
   function loadData(z){ 
      var tmp = z.options[z.selectedIndex].value; 
      sub_cate.location.href = "<?=$board_skin_path?>/sub_cate.php?m_data="+tmp;  
     } 
   function loadData2(z){ 
      var tmp = z.options[z.selectedIndex].value; 
      sub_cate.location.href = "<?=$board_skin_path?>/sub_cate.php?sub=1&m_data="+tmp;  
     }
</script> 

<iframe width=0 height=0 name="sub_cate"></iframe> 

<script language="javascript">
// 글자수 제한
var char_min = parseInt(<?=$write_min?>); // 최소
var char_max = parseInt(<?=$write_max?>); // 최대
</script>

<form name="fwrite" method="post" action="javascript:fwrite_check(document.fwrite);" enctype="multipart/form-data" style="margin:0px;">
<input type=hidden name=null> 
<input type=hidden name=w        value="<?=$w?>">
<input type=hidden name=bo_table value="<?=$bo_table?>">
<input type=hidden name=wr_id    value="<?=$wr_id?>">
<input type=hidden name=sca      value="<?=$sca?>">
<input type=hidden name=sfl      value="<?=$sfl?>">
<input type=hidden name=stx      value="<?=$stx?>">
<input type=hidden name=spt      value="<?=$spt?>">
<input type=hidden name=sst      value="<?=$sst?>">
<input type=hidden name=sod      value="<?=$sod?>">
<input type=hidden name=page     value="<?=$page?>">

<!---------------상품코드-------------->
<input type=hidden name=wr_40        value="<?=$p_code?>">

<!--------------입력항목 시작------------->
<table width="<?=$width?>" align=center cellpadding=0 cellspacing=0><tr><td>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td colspan=2 height="30" > 01. 상품기본정보</td></tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<? if ($is_name) { ?>
<tr>
  <td style='padding-left:10px;width:120px; height:30px;' bgcolor=#fffbf7>· 이름</td>
  <td style='padding-left:10px;'><input class=ed maxlength=20 size=15 name=wr_name itemname="이름" required value="<?=$name?>"></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<?}?>
<? if ($is_password) { ?>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 패스워드</td>
  <td style='padding-left:10px;'><input class=ed type=password maxlength=20 size=15 name=wr_password itemname="패스워드" <?=$password_required?>></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<?}?>
<? if ($is_email) { ?>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 이메일</td>
  <td style='padding-left:10px;'><input class=ed maxlength=100 size=50 name=wr_email email itemname="이메일" value="<?=$email?>"></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<?}?>
<? if ($is_homepage) { ?>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 홈페이지</td>
  <td style='padding-left:10px;'><input class=ed size=50 name=wr_homepage itemname="홈페이지" value="<?=$homepage?>"></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<?}?>
<? if ($is_notice || $is_html || $is_secret || $is_mail) { ?>
<tr>
    <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 옵션</td>
    <td style='padding-left:10px;'><? if ($is_notice) { ?><input type=checkbox name=notice value="1" <?=$notice_checked?>>공지&nbsp;<? } ?>
        <? if ($is_html) { ?>
            <? if ($is_dhtml_editor) { ?>
            <input type=hidden value="html1" name="html">
            <? } else { ?>
            <input onclick="html_auto_br(this);" type=checkbox value="<?=$html_value?>" name="html" <?=$html_checked?>><span class=w_title>html</span>&nbsp;
            <? } ?>
        <? } ?>
        <? if ($is_secret) { ?>
            <? if ($is_admin || $is_secret==1) { ?>
            <input type=checkbox value="secret" name="secret" <?=$secret_checked?>><span class=w_title>비밀글</span>&nbsp;
            <? } else { ?>
            <input type=hidden value="secret" name="secret">
            <? } ?>
        <? } ?>
        <? if ($is_mail) { ?><input type=checkbox value="mail" name="mail" <?=$recv_email_checked?>>답변메일받기&nbsp;<? } ?></td></tr>
<tr><td colspan=2 height=1 bgcolor=#e7e7e7></td></tr>
<? } ?>
<? if ($is_category) { ?>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 분류선택</td>
  <td style='padding-left:10px;'><select name=ca_name required itemname="분류"><option value="">선택하세요<?=$category_option?></select></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<?}?>

<? if ($cart_category) { ?>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 분류</td>
  <td style='padding-left:10px;'><select name=wr_21 onChange="loadData(this)" <?=$wr_21_checked?>><option value="">선택하세요<?=$category_cart?></select>
      <script language="JavaScript">document.fwrite.wr_21.value="<?=$write[wr_21]?>";</script>
  <select name=wr_22 onChange="loadData2(this)"><option value="">선택하세요<?=$category_cart2?></select>
  <script language="JavaScript">document.fwrite.wr_22.value="<?=$write[wr_22]?>";</script>
  <select name=wr_23 ><option value="">선택하세요<?=$category_cart3?></select>
  <script language="JavaScript">document.fwrite.wr_23.value="<?=$write[wr_23]?>";</script>
  
  </td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<?}?>
<tr>
  <td style='padding-left:10px;width:120px; height:30px;' bgcolor=#fffbf7>· 출력스킨</td>
  <td style='padding-left:10px;'>
        <select name=wr_37 required itemname="출력스킨">
        <?
        if(!$write[wr_37])
	        $write[wr_37]  = "view.skin.php";   
	       

		$set_file  = "basic/view";
        $arr = get_cate_dir($set_file);
        for ($i=0; $i<count($arr); $i++) {
            echo "<option value='$arr[$i]'>$arr[$i]</option>\n";
        }
        ?></select>
		<script language="JavaScript">document.fwrite.wr_37.value="<?=$write[wr_37]?>";</script>
  </td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px;width:120px; height:30px;' bgcolor=#fffbf7>· 상품명</td>
  <td style='padding-left:10px;'><input class=ed style="width:100%;" name=wr_subject id="wr_subject" itemname="상품명" required value="<?=$subject?>"></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 상품코드</td>
  <td style='padding-left:10px;'><b><?=$p_code?></b></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 브랜드명</td>
  <td style='padding-left:10px;'><input class=ed style="width:120;" name=wr_39 id="wr_39" itemname="상품명"  value="<?=$write["wr_39"]?>"></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 원산지</td>
  <td style='padding-left:10px;'><input class=ed style="width:120;" name=wr_38 id="wr_38" itemname="원산지"  value="<?=$write["wr_38"]?>"></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>

<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 상품분류</td>
  <td style='padding-left:10px;'>준비중 (* 출력옵션 *)</td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>

<tr><td colspan=2 height="30" > 02. 상품가격 / 포인트설정</td></tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 세일판매가격</td>
  <td style='padding-left:10px;'><input class=ed style="width:100;" name=wr_1 id="wr_1" itemname="세일판매가격" required value="<?=$write["wr_1"]?>"> 원</td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 세일이전판매가격</td>
  <td style='padding-left:10px;'><input class=ed style="width:100;" name=wr_11 id="wr_11" itemname="세일이전판매가격" value="<?=$write["wr_11"]?>"> 원</td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 적립포인트</td>
  <td style='padding-left:10px;'><input class=ed style="width:60;" name=wr_12 id="wr_12" itemname="적립포인트" value="<?=$write["wr_12"]?>"> point</td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 초기재고량</td>
  <td style='padding-left:10px;'><input class=ed style="width:60;" name=wr_13 id="wr_13" itemname="적립포인트" value="<?=$write["wr_13"]?>"></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr><td colspan=2 height="30" > 03. 상품 상세정보</td></tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td colspan="2">
    <? if ($is_dhtml_editor) { ?>
    <?=cheditor2('fwrite', 'wr_content', '100%', '350');?>
    <? } else { ?>
    <table width=100% cellpadding=0 cellspacing=0>
    <tr>
      <td width=50% align=left valign=bottom>
        <span style="cursor: pointer;" onclick="textarea_decrease('wr_content', 10);"><img src="<?=$board_skin_path?>/img/up.gif"></span>
        <span style="cursor: pointer;" onclick="textarea_original('wr_content', 10);"><img src="<?=$board_skin_path?>/img/start.gif"></span>
        <span style="cursor: pointer;" onclick="textarea_increase('wr_content', 10);"><img src="<?=$board_skin_path?>/img/down.gif"></span>
      </td>
      <td width=50% align=right><? if ($write_min || $write_max) { ?><span id=char_count></span>글자<?}?></td>
    </tr>
    </table>
    <textarea id="wr_content" name="wr_content" class=tx style='width:100%; word-break:break-all;' rows=10 itemname="내용" required
    <? if ($write_min || $write_max) { ?>onkeyup="check_byte('wr_content', 'char_count');"<?}?>><?=$content?></textarea>
    <? if ($write_min || $write_max) { ?><script language="javascript"> check_byte('wr_content', 'char_count'); </script><?}?>
    <? } ?>
  </td>
</tr>


<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<? if ($is_file) { ?>
<tr><td colspan=2 height="30" > 05. 상품이미지등록</td></tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<tr>
  <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7><table cellpadding=0 cellspacing=0><tr><td style=" padding-top: 10px;">· 파일 <span onclick="add_file();" style='cursor:pointer; font-family:tahoma; font-size:12pt;'>+</span> <span onclick="del_file();" style='cursor:pointer; font-family:tahoma; font-size:12pt;'>-</span></td></tr></table></td>
  <td style='padding-left:10px;'><table id="variableFiles" cellpadding=0 cellspacing=0></table><?// print_r2($file); ?>
        <script language="JavaScript">
        var flen = 0;
        function add_file(delete_code)
        {
            var upload_count = <?=(int)$board[bo_upload_count]?>;
            if (upload_count && flen >= upload_count)
            {
                alert("이 게시판은 "+upload_count+"개 까지만 파일 업로드가 가능합니다.");
                return;
            }

            var objTbl;
            var objRow;
            var objCell;
            if (document.getElementById)
                objTbl = document.getElementById("variableFiles");
            else
                objTbl = document.all["variableFiles"];

            objRow = objTbl.insertRow(objTbl.rows.length);
            objCell = objRow.insertCell(0);

            objCell.innerHTML = "<input type='file' class=ed name='bf_file[]' title='파일 용량 <?=$upload_max_filesize?> 이하만 업로드 가능'>";
            if (delete_code)
                objCell.innerHTML += delete_code;
            else
            {
                <? if ($is_file_content) { ?>
                objCell.innerHTML += "<br><input type='text' class=ed size=50 name='bf_content[]' title='업로드 이미지 파일에 해당 되는 내용을 입력하세요.'>";
                <? } ?>
                ;
            }

            flen++;
        }

        <?=$file_script; //수정시에 필요한 스크립트?>

        function del_file()
        {
            // file_length 이하로는 필드가 삭제되지 않아야 합니다.
            var file_length = <?=(int)$file_length?>;
            var objTbl = document.getElementById("variableFiles");
            if (objTbl.rows.length - 1 > file_length)
            {
                objTbl.deleteRow(objTbl.rows.length - 1);
                flen--;
            }
        }
        </script></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#dedfde></td></tr>
<?}?>

<? if ($is_link) { ?>
<? for ($i=1; $i<=$g4[link_count]; $i++) { ?>
<tr>
    <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 링크 #<?=$i?></td>
    <td style='padding-left:10px;'><input type='text' class=ed size=50 name='wr_link<?=$i?>' itemname='링크 #<?=$i?>' value='<?=$write["wr_link{$i}"]?>'></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#e7e7e7></td></tr>
<? } ?>
<? } ?>
<? if ($is_trackback) { ?>
<tr>
    <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· 트랙백주소</td>
    <td style='padding-left:10px;'><input class=ed size=50 name=wr_trackback itemname="트랙백" value="<?=$trackback?>">
        <? if ($w=="u") { ?><input type=checkbox name="re_trackback" value="1">핑 보냄<? } ?></td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#e7e7e7></td></tr>
<? } ?>

<? if ($is_norobot) { ?>
<tr>
    <td style='padding-left:10px; height:30px;' bgcolor=#fffbf7>· <?=$norobot_str?></td>
    <td style='padding-left:10px;'><input class=ed type=input size=10 name=wr_key itemname="자동등록방지" required>&nbsp;&nbsp;* 왼쪽의 글자중 <font color="red">빨간글자만</font> 순서대로 입력하세요.</td>
</tr>
<tr><td colspan=2 height=1 bgcolor=#e7e7e7></td></tr>
<? } ?>


</table>


</td></tr></table>
<!------------//입력항목----------------->

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
    <td width="100%" height="30" background="<?=$board_skin_path?>/img/write_down_bg.gif"></td>
</tr>
<tr>
    <td width="100%" align="center" valign="top">
        <input type=image id="btn_submit" src="<?=$board_skin_path?>/img/btn_write.gif" border=0 accesskey='s'>&nbsp;
        <a href="./board.php?bo_table=<?=$bo_table?>"><img id="btn_list" src="<?=$board_skin_path?>/img/btn_list.gif" border=0></a></td>
</tr>
</table>

</td></tr></table>
</form>

<script language="javascript">
<?
// 관리자라면 분류 선택에 '공지' 옵션을 추가함
if ($is_admin) 
{
    echo "
    if (typeof(document.fwrite.ca_name) != 'undefined')
    {
        document.fwrite.ca_name.options.length += 1;
        document.fwrite.ca_name.options[document.fwrite.ca_name.options.length-1].value = '공지';
        document.fwrite.ca_name.options[document.fwrite.ca_name.options.length-1].text = '공지';
    }";
} 
?>

with (document.fwrite) {
    if (typeof(wr_name) != "undefined")
        wr_name.focus();
    else if (typeof(wr_subject) != "undefined")
        wr_subject.focus();
    else if (typeof(wr_content) != "undefined")
        wr_content.focus();

    if (typeof(ca_name) != "undefined")
        if (w.value == "u")
            ca_name.value = "<?=$write[ca_name]?>";
}

function html_auto_br(obj) {
    if (obj.checked) {
        result = confirm("자동 줄바꿈을 하시겠습니까?\n\n자동 줄바꿈은 게시물 내용중 줄바뀐 곳을<br>태그로 변환하는 기능입니다.");
        if (result)
            obj.value = "html2";
        else
            obj.value = "html1";
    }
    else
        obj.value = "";
}

function fwrite_check(f) {
    var s = "";
    if (s = word_filter_check(f.wr_subject.value)) {
        alert("제목에 금지단어('"+s+"')가 포함되어있습니다");
        return;
    }

    if (s = word_filter_check(f.wr_content.value)) {
        alert("내용에 금지단어('"+s+"')가 포함되어있습니다");
        return;
    }

    if (document.getElementById('char_count')) {
        if (char_min > 0 || char_max > 0) {
            var cnt = parseInt(document.getElementById('char_count').innerHTML);
            if (char_min > 0 && char_min > cnt) {
                alert("내용은 "+char_min+"글자 이상 쓰셔야 합니다.");
                return;
            } 
            else if (char_max > 0 && char_max < cnt) {
                alert("내용은 "+char_max+"글자 이하로 쓰셔야 합니다.");
                return;
            }
        }
    }

    if (typeof(f.wr_key) != "undefined") {
        if (hex_md5(f.wr_key.value) != md5_norobot_key) {
            alert("자동등록방지용 빨간글자가 순서대로 입력되지 않았습니다.");
            f.wr_key.focus();
            return;
        }
    }

    <?
    if ($is_dhtml_editor) {
        echo cheditor3('wr_content');
        echo "if (!document.getElementById('wr_content').value) { alert('내용을 입력하십시오.'); return; } ";
    }
    ?>

    document.getElementById('btn_submit').disabled = true;
    document.getElementById('btn_list').disabled = true;

    f.action = "./write_update.php";
    f.submit();
}
</script>

<script language="JavaScript" src="<?="$g4[path]/js/board.js"?>"></script>
<script language="JavaScript">
window.onload=function() {
    drawFont();
}
</script>

